package com.sundot.airport.exam.logic.manage.model.result;

import cn.hutool.core.date.DatePattern;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sundot.airport.exam.logic.manage.model.result.sub.TestPaperQuestionResult;

import java.util.Date;
import java.util.List;

/**
 * <b>功能名：</b>TestPaperGetResult<br>
 * <b>说明：</b> 试卷表详情返回参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-22 liangxiao
 */
public class TestPaperGetResult {

    /**
     * 业务主键
     */
    private String tpId;

    /**
     * 试卷名称
     */
    private String tpName;

    /**
     * 试卷题目数
     */
    private Integer tpQuesNum;

    /**
     * 试卷总分
     */
    private Integer tpTotalScore;

    /**
     * 试卷分类表业务主键
     */
    private String tpcId;

    /**
     * 试卷分类表名称
     */
    private String tpcName;

    /**
     * 逻辑删除（0否1是）
     */
    private Boolean delStatus;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date createTime;

    /**
     * 创建人
     */
    private String createUid;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateUid;

    /**
     * 题目列表
     */
    private List<TestPaperQuestionResult> questionList;

    @Override
    public String toString() {
        return "TestPaperGetResult{" +
                "tpId='" + tpId + '\'' +
                ", tpName='" + tpName + '\'' +
                ", tpQuesNum=" + tpQuesNum +
                ", tpTotalScore=" + tpTotalScore +
                ", tpcId='" + tpcId + '\'' +
                ", tpcName='" + tpcName + '\'' +
                ", delStatus=" + delStatus +
                ", createTime=" + createTime +
                ", createUid='" + createUid + '\'' +
                ", updateTime=" + updateTime +
                ", updateUid='" + updateUid + '\'' +
                ", questionList=" + questionList +
                '}';
    }

    public String getTpId() {
        return tpId;
    }

    public void setTpId(String tpId) {
        this.tpId = tpId;
    }

    public String getTpName() {
        return tpName;
    }

    public void setTpName(String tpName) {
        this.tpName = tpName;
    }

    public Integer getTpQuesNum() {
        return tpQuesNum;
    }

    public void setTpQuesNum(Integer tpQuesNum) {
        this.tpQuesNum = tpQuesNum;
    }

    public Integer getTpTotalScore() {
        return tpTotalScore;
    }

    public void setTpTotalScore(Integer tpTotalScore) {
        this.tpTotalScore = tpTotalScore;
    }

    public String getTpcId() {
        return tpcId;
    }

    public void setTpcId(String tpcId) {
        this.tpcId = tpcId;
    }

    public String getTpcName() {
        return tpcName;
    }

    public void setTpcName(String tpcName) {
        this.tpcName = tpcName;
    }

    public Boolean getDelStatus() {
        return delStatus;
    }

    public void setDelStatus(Boolean delStatus) {
        this.delStatus = delStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUid() {
        return createUid;
    }

    public void setCreateUid(String createUid) {
        this.createUid = createUid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(String updateUid) {
        this.updateUid = updateUid;
    }

    public List<TestPaperQuestionResult> getQuestionList() {
        return questionList;
    }

    public void setQuestionList(List<TestPaperQuestionResult> questionList) {
        this.questionList = questionList;
    }
}
